import request from '@/utils/request'

//* *********** 用户 **************
// 代理商开通用户账号
export function _accountAdd(data) {
  return request({
    url: '/api/agents/ktzh',
    method: 'post',
    data,
    params: {
      pagevalue: data.pagevalue,
    },
  })
}

//* *********** 充值接口 **************
// /api/sys/admin/cz?pagevalue=167
// 管理员给商户充值接口地址
// /api/agents/cz?pagevalue=87
// 代理商给商户充值的接口

// 代理商充值用户账号
export function _accountCharge(data) {
  return request({
    url: '/api/agents/cz',
    method: 'post',
    data,
    params: {
      pagevalue: data.pagevalue,
    },
  })
}

// 平台管理员给商户帐号充值
export function _accountAdminCharge(data) {
  return request({
    url: '/api/sys/admin/cz',
    method: 'post',
    data,
    params: {
      pagevalue: data.pagevalue,
    },
  })
}
